local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilitydefs = include( "sim/abilitydefs" )
local mathutil = include( "modules/mathutil" )

local oldMeleeOverwatch = abilitydefs.lookupAbility("meleeOverwatch")

local oldCanUseAbility = oldMeleeOverwatch.canUseAbility

local meleeOverwatch = util.extend(oldMeleeOverwatch) {
	executeAbility = function( self, sim, userUnit, targetUnit)
		userUnit:setInvisible(false)
		userUnit:setDisguise(false)

		if targetUnit:getPlayerOwner() then
			targetUnit:getPlayerOwner():glimpseUnit( sim, userUnit:getID() )
		end			
		
		userUnit:resetAllAiming()
		
		local tazerUnit = simquery.getEquippedMelee( userUnit )
		if tazerUnit and tazerUnit:getTraits().nonStandardMelee then
			local ability, owner = userUnit:ownsAbility("banks_paralyze")
			ability:getDef():executeAbility( sim, owner, userUnit, targetUnit:getID() )
		else
			userUnit:hasAbility("melee"):getDef():executeAbility( sim, userUnit, userUnit, targetUnit:getID() )
		end
		
		sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = userUnit  } )
	end,
	
	canUseAbility = function( self, sim, userUnit, targetUnit )
		local meleeAbility = userUnit:ownsAbility("banks_paralyze")
		if meleeAbility == nil then
			return oldCanUseAbility( self, sim, userUnit, targetUnit )
		end
		return meleeAbility:canUseAbility( sim, simquery.getEquippedMelee(userUnit), userUnit, targetUnit:getID() )
	end,
}

return meleeOverwatch