local array = include( "modules/array" )
local util = include( "modules/util" )
local mathutil = include( "modules/mathutil" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local inventory = include("sim/inventory")
local speechdefs = include("sim/speechdefs")
local abilityutil = include( "sim/abilities/abilityutil" )
local mathutil = include( "modules/mathutil" )
local serverdefs = include( "modules/serverdefs" )
local abilitydefs = include( "sim/abilitydefs" )

local oldShootSingle = abilitydefs.lookupAbility("shootSingle")

local oldCanUseAbility = oldShootSingle.canUseAbility

local shootSingle = util.extend(oldShootSingle) {

	canUseAbility = function( self, sim, ownerUnit, unit, targetUnitID )
		local weaponUnit = simquery.getEquippedGun( unit )
		if unit:countAugments( "LEVER_augment_melee_specialist" ) > 0 then
			return false, STRINGS.AGEOFLEVER.UI.REASON_MELEE_SPECIALIST
		end
		local storedAP = unit:getAP()
		if weaponUnit and weaponUnit:getTraits().ignoreNoAP then
			unit:getTraits().ap = 1
		end
		local ok, reason = oldCanUseAbility( self, sim, ownerUnit, unit, targetUnitID )
		unit:getTraits().ap = storedAP
		return ok, reason
	end,
}

return shootSingle