local simquery = include( "sim/simquery" )

--------------------------------------------------------------------------

local old_isEnemyTarget = simquery.isEnemyTarget

function simquery.isEnemyTarget( player, unit, ignoreDisguise )
	if unit and unit:getTraits().forceEnemy then
		return true
	end
	if not old_isEnemyTarget( player, unit, ignoreDisguise ) then
		return false
	end
	if unit:getTraits().forceNeutral then
		return false
	end
	return true
end

function simquery.isUnitPinning( sim, unit )
	if unit:getTraits().movingBody or unit:getTraits().ignorePinning then
		return false
	end
	local cell = sim:getCell( unit:getLocation() )
	if cell then
		for i, cellUnit in ipairs(cell.units) do
			if cellUnit:isKO() and not cellUnit:isDead() and simquery.isEnemyAgent( unit:getPlayerOwner(), cellUnit ) then
				return true, cellUnit
			end
		end
	end

	return false
end