---------------------------------------------------------------------
-- Invisible Inc. official DLC.
--

local MOD_STRINGS =
{	           
	
	OPTIONS =
	{
		ENABLE_PRISM = "Enable Prism Reworks",
		ENABLE_PRISM_TIP = "Alters Augments and items for Prism\n\nMaster of disguise Prism is built to confuse guards and provide support for her team in dire situations.",  
		
		ENABLE_SHALEM = "Enable Shalem Reworks",
		ENABLE_SHALEM_TIP = "Alters Augments and items for Shalem\n\nShalem is a cold and tactical killer\n\nArchived Shalem is a war-hardend medic",  
		
		ENABLE_DECKER = "Enable Decker Reworks",
		ENABLE_DECKER_TIP = "Alters Augments and items for Decker\n\nNostalgic Decker hides in the shadows and trails guards to find what he needs\n\nArchived Decker is a chaotic agent",  
		
		ENABLE_INTERNATIONALE = "Enable Internationale Reworks",
		ENABLE_INTERNATIONALE_TIP = "Alters Augments and items for Internationale",  
		
		ENABLE_BANKS = "Enable Banks Reworks",
		ENABLE_BANKS_TIP = "Alters Augments and items for Banks",    
		
		ENABLE_XU = "Enable Dr. Xu Reworks",
		ENABLE_XU_TIP = "Alters Augments and items for Dr. Xu",  
		
		ENABLE_CENTMONST = "Enable Central and Monst3r Reworks",
		ENABLE_CENTMONST_TIP = "Alters Augments and items for Central and Monst3r",
		
		ENABLE_SKILLS = "Enable skill reworks",
		ENABLE_SKILLS_TIP = "Alters agent skills",
		
		ENABLE_EQUIP = "DISABLE equip reworks",
		ENABLE_EQUIP_TIP = "Disabled by default. Makes equipping weapons consume ap and makes some actions impossible with weapons equipped. This will lock your agents into their rolls even more.",
		
		ENABLE_CLOSE = "Enable no automatic closing of item screens",
		ENABLE_CLOSE_TIP = "Makes it so that the item transfer screen won't close when you take the last item",
	},
	
	SKILLS = {
	
		STEALTH_NAME = "TRESPASS", -- stealth -- speed
        STEALTH_DESC = "Agent is skilled at moving around unseen",
        STEALTH1_TOOLTIP = "Standard movement\nCan Peek",
        STEALTH2_TOOLTIP = "Adds +1 action point\nCan Observe guard's path's for 1AP without console",
        STEALTH3_TOOLTIP = "Adds +1 action point",
        STEALTH5_TOOLTIP = "Adds +1 movement\n+1 sprint speed",

        HACKING_NAME = "HACKING", -- hacking
        HACKING_DESC = "Agent uses computers to their full advantage",
        HACKING1_TOOLTIP = "Hijack consoles (unequip ranged weps)\nObserve guards via consoles",
        HACKING2_TOOLTIP = "Adds +1 PWR per Console Hijack\nUse Consoles to EMP nearby Cams/Sensors", 
		HACKING3_TOOLTIP = "Adds +1 PWR per Console Hijack", 
		HACKING4_TOOLTIP = "Adds +1 PWR per Console Hijack", 
        HACKING5_TOOLTIP = "Adds +2 PWR per Console Hijack",
		
        INVENTORY_NAME = "SMUGGLERY", --possession
        INVENTORY_DESC = "Agent can move items and bodies efficiently",
        INVENTORY1_TOOLTIP = "Carry 3 items, 3 tile throw range\nTrade with adjacent allies.",
        INVENTORY2_TOOLTIP = "+1 Item, +0.5 drag\n+1 throw, trade 2 tiles away",
        INVENTORY3_TOOLTIP = "+1 Item\n+1 throw, +1 trade distance",
        INVENTORY4_TOOLTIP = "+1 Item, +0.5 drag\n+1 throw, +1 trade distance",
        INVENTORY5_TOOLTIP = "+1 Item, +1 melee KO\n+1 throw, +1 trade distance",
		
		ANARCHY_NAME = "LARCENY",
        ANARCHY_DESC = "Agent is quick with their hands",
        ANARCHY1_TOOLTIP = "STEAL from KO guards, 2AP to equip items",
        ANARCHY2_TOOLTIP = "STEAL from behind",
        ANARCHY3_TOOLTIP = "STEAL +15% more credits from guards\n-0.5AP to equip",
        ANARCHY4_TOOLTIP = "STEAL +20% more credits from guards\n-0.5AP to equip",
        ANARCHY5_TOOLTIP = "STEAL increased chance to find items\n-0.5AP to equip",
	},


	ITEMS =
	{
		AUGMENTS =
		{
			--------------- Prism Augs -----------------

			HANDSHAKE = "Digital Handshake",
			HANDSHAKE_TOOLTIP = "Melee range. Finds an information packet on guards.",
			HANDSHAKE_FLAVOR = "Augmentation is reviled in holovid circles, but this finger mod can easily pass as an innocuous ring while it scans nearby phones for habits and secrets.",

			HOLO_MESH_AUG = "Subcutaneous Holographic Mesh",
			HOLO_MESH_AUG_TOOLTIP = "Generates a disguise while active.\nSprinting and attacking disables the effect. Reduces MaxAp per turn used, does not work at 0MaxAP.",
			HOLO_MESH_AUG_FLAVOR ="After her 'death' Esther's influx of wealth and reliance on her holorig led her to surgically graft the device's mesh to her skin. It took a toll on her body, but she hasn't aged a day since.",
			
			CUSTOMCHARGE = "Strength Sap",
			CUSTOMCHARGE_DESC = "For each turn the disguise is active the user loses 2 MaxAP on the following turn.",
			COSTCHARGE_ACTIVATE = "Respite",
			COSTCHARGE_ACTIVATE_DESC = "If user starts turn disguised, disabling it reduces the MaxAP loss by 1",
			
			DRAINCHARGE = "Recharge",
			DRAINCHARGE_DESC = "User regains 1 MaxAP for each turn they are not disguised. Penalty displayed under augment as XX/10.",		
			
			HOLO_MESH_AUG_WARNING = "HOLOGRAM ACTIVE -1 MaxAp Next Turn",
			HOLO_MESH_AUG_USE = "Activate Disguise",
			HOLO_MESH_AUG_USE_TIP = "Will reduce MaxAP by 2 from next turn",
			HOLO_MESH_MINUS_CHARGE = "-{1} {1:MaxAP|MaxAP}",
			HOLO_MESH_PLUS_CHARGE = "+{1} {1:MaxAP|MaxAP}",
			NOT_ENOUGH_CHARGE = "Not enough MaxAP",
			
			------------ Shalem Augs --------------------
			
			SHALEMS = "High-speed Optics",
			SHALEMS_TIP = "+1 armor piercing during ranged overwatch. Tag targets to disable heart monitors with PWR.",
			SHALEMS_FLAVOR = "This high-end eye replacement grants Shalem a slow-motion view of the world, allowing him to pinpoint weak spots that are usually obstructed on stationary targets",
			
			HEARTBREAKER_BONUS  = "Heartbreaker",
			HEARTBREAKER_BONUS_DESC = "Tag 1 guard to destroy their heart monitor when using overwatch.\nCosts {1} PWR, {2} for advanced models.",
			HEARTBREAKER = "Heartbreak",
			HEARTBREAKER_DESC = "Overwatch ignores heart monitor.\n{1} PWR, One unit at a time.",
			
			SHALEM_DUMP = "Skeletal Gearing",
			SHALEM_DUMP_TIP = "Hide corpses in safes. Halves cleanup cost for corpse when used.",
			SHALEM_DUMP_FLAVOR = "The extra support this gearing provides when lifting heavy and ungainly objects makes this common augment for morticians and greengrocers alike",
			
			STOW_BODY = "Stow Body",
			STOW_BODY_DESC = "HIDE AND HALVE CLEANUP COST FOR THIS GUARD.",
			STOW_BODY_REQ_BODY = "Must be holding body to dispose of it",
			STOW_BODY_REQ_OPEN = "Safe must be opened",
			STOW_BODY_REQ_FRONT = "Must be in front of safe",
			
			MALIKS = "Hypodermatic Field Kit",
			MALIKS_TIP = "Spend a turn to revive a KO'd Ally. Requires and uses Attack and full AP. Passive: restores 1 Ammo to all held items between missions.",
			MALIKS_FLAVOR = "Combat Medics are never caught short. Malik keeps an array of medical equipment and spare ammunition in hidden compartments across his body - let's hope he sterilises them.",
			
			----------------- Basic Augs ------------------
			
			DECKER_BOOT = "Server Kick",
			DECKER_BOOT_TIP = "Break 4 firewalls on databases",
			DECKER_BOOT_FLAVOR = "As much as he hates it, Decker admits that all this highly-interlinked technology makes a detective's job much easier - just never refer to his prosthetic legs as augments",
			
			DECKER_FOLLOW = "Foot-Tap",
			DECKER_FOLLOW_TIP = "Orders an idle Guard to patrol important locations, ending at the prime objective. One use per mission.",
			DECKER_FOLLOW_FLAVOR = "Decker may not be keen on his prosthetics, but admits that they have their uses; storing cold-war level gadgetry that exploits the human fallibility of high-tech systems, or kicking in the teeth of anyone who calls his legs 'augments'.",
			
			---DECKER_FOLLOW_FLAVOR = "Decker lost his legs to the mob long before he lost them to the bottle. His new legs may be loaded with gadgets and gizmos but are still only prosthetics, as far as anyone who wishes to keep their teeth is concerned.",

			FOLLOWPATROL = "Start Patrol",
			FOLLOWPATROL_DESC = "Send this guard to investigate key items. Will end patrol at objective. One use.",
			
			INTERNATIONALS = "Wireless Scouter",
			INTERNATIONALS_TIP = "Reveals mainframe objects over 6 tiles; can uncover Daemons in line-of-sight. Requires stims to use damaging weapons.",
			INTERNATIONALS_FLAVOR = "Using her skin as an antenna, Internationale can identify resources and threats across the mainframe.",
			
			BANKS = "Archway Master",
			BANKS_TIP = "Allows remote control of visible doors via nearby consoles; can open secure/vault doors until end of turn. The console is disabled for 2 turns after use. Vision reduced to 2 squares when not peeking.",	
			BANKS_FLAVOR = "The quantum computer implanted in Banks' cranium can brute-force most basic operations without so much as a clearance code. Unfortunately, the botched operation left her unable to trust her own senses.",
			BANKS_AP = "Uses AP",
			BANKS_AP_DESC = "Remotely operating a door uses 1 AP. Opening a Vault Door uses your remaining AP.",
		},
		
		
		NOTE_ACTION = "USES ACTION",
		NOTE_ACTION_DESC = "This ability counts as an attack",
		
		-- 1ko pistol + 4KO on allies (drag them through cameras!)
		
		ALLYTAGGER = "L.A.R. Pistol",
		ALLYTAGGER_TOOLTIP = "High velocity tag launcher. Safely KO and Reawaken allies.",
		ALLYTAGGER_FLAVOR = "Although little more dangerous than a BB gun, the ability to convincingly incapacitate willing subjects makes this an essential part of any grifter's toolkit.",
		ALLYTAGGER_TOOLTIP_SLEEP = "TAG ALLY",
		ALLYTAGGER_TOOLTIP_SLEEP_DESC = "KO an ally for 4 turns. Does not drop disguise. Subject may be pinned, dragged or wirelessly revived.",
		
		ALLYTAGGER_TOOLTIP_ONLYWATCH = "DEFENSIVE",
		ALLYTAGGER_TOOLTIP_ONLYWATCH_DESC = "This weapon can only attack enemies via Overwatch.",
		
		ALLYTAGGER_INFIELD_TAG = "Tag Ally",
		ALLYTAGGER_INFIELD_TAG_DESC = "KO for 4 turns",
		
		ALLYTAGGER_INFIELD_WAKE = "Wake Ally",
		ALLYTAGGER_INFIELD_WAKE_DESC = "Revive this unit. Does not require line of sight",
		ALLYTAGGER_INFIELD_WAKE_NEED_SPACE = "Agent pinned",
		
		---------------------
		
		ALARM_CHIP = "COMLINK CHIP",
		ALARM_CHIP_TOOLTIP = "Hijack consoles to reduce alarm level equal to stored PWR.",
		ALARM_CHIP_FLAVOR = "Often carried by engineers and emergency units to tap into low-clearance communication lines. It really helps calm an operator's fears if you talk to them confidently and ask how they're doing.",

		HIJACK_CALMGUARDS = "Counter Alarm",
		HIJACK_CALMGUARDS_DESC = "Reduce alarm by {1} {1:step|steps}",
		
		REQ_DISGUISE = "Requires Disguise",
		REQ_DISGUISE_DESC = "Can only be used while user is actively disguised",
		REASON_REQ_DISGUISE = "Requires an active disguise",
		
		STARTS_COOLDOWN = "Starting Cooldown",
		STARTS_COOLDOWN_DESC = "Starts with {1} cooldown",
		
		ALARM_SUB = "ALARM -{1}",
		
		---------------------
		
		PACKET_GPS = "Packet: GPS",
		PACKET_GPS_TOOLTIP = "Tags the guard holding it at start of each turn",
		PACKET_GPS_FLAVOR = "This software, often used to keep tabs on employees, is insanely secure if treated with respect. Luckily your target never did.",	
		
		PACKET_DIRT = "Packet: Dirt",
		PACKET_DIRT_TOOLTIP = "Trade for credit (unknown amount)",
		PACKET_DIRT_FLAVOR = "You know from first hand experience that someone out there will be willing to pay for this compromising information.",	
		
		PACKET_PASSWORD = "Packet: Password",
		PACKET_PASSWORD_TOOLTIP = "Use at consoles for 2 extra PWR",
		PACKET_PASSWORD_FLAVOR = "It's amazing how much further official identification will take you, even if it's not technically your own.",	
		
		PACKET_VIP = "Packet: VIP Password",
		PACKET_VIP_TOOLTIP = "Break up to 10 points of firewall",
		PACKET_VIP_FLAVOR = "There are some people in this world with more influence than they know what to do with. Surely you're willing to help them out.",			
		
		COPYCARD = "Copycard",
		COPYCARD_FUNC = "DUPLICATE",
		COPYCARD_FUNC_SEC = "Duplicate Lvl1 Security Passcard",
		COPYCARD_FUNC_VAL = "Duplicate Vault Access Card",
		COPYCARD_FUNC_EXT = "Duplicate Exit Access Card",
		COPYCARD_SEC = "Copycard --- Lvl1 Security",
		COPYCARD_VAL = "Copycard --- Vault Access",
		COPYCARD_EXT = "Copycard --- Exit Access",
		COPYCARD_OLD = "Copycard --- VOID PASSWORD",
		COPYCARD_TOOLTIP = "Scan a target's Keycard to temporarily turn this item into duplicate of it. Passwords on single-use cards are still compromised if the copy is used. Resets between levels.",
		COPYCARD_FLAVOR = "While passwords can be tough to crack, this short-range RFID holocard can perfectly duplicate any security pass it is exposed to, visually and functionally, without the original's owner being any the wiser.",			
		
		----------------------
		
		PARALYZER_BANKS = "Paralyzer Dart",
		PARALYZER_BANKS_TOOLTIP = "KOs or increases KO by 3 turns. Can be used as melee or thrown. Must be collected from target if thrown.",
		PARALYZER_BANKS_FLAVOR = "Banks trained her dart-based combat over many solo corporate heists. After dozens of successful jobs and no fatalities, she was hailed as a modern Robin Hood.",

		
		STIM_NAT = "Shock Stims",
		STIM_NAT_TOOLTIP = "Restores 4 AP. All Stims override Pacifism.",
		STIM_NAT_FLAVOR = "A favourite amongst those preparing to jump out of airplanes into a warzone full of robots, this addictive chemical cocktail really lowers your inhibitions.",
		
		REVOLVER_DECKARD = "Refurbished Revolver", 
		REVOLVER_DECKARD_TOOLTIP = "Ranged targets. Lethal damage. Ignores Armor, Disables Shields and Heart Monitors. Cannot reload.", -- Guards/Drones detonate as Smoke/EMP bombs.  ?
		REVOLVER_DECKARD_FLAVOR = "An old revolver that has been extensively refurbished into a truly terrifying weapon. Each bullet is an irreplaceable hand-made electro-plasma composite, capable of bypassing any and all defences.",
		
		TAZER_DECK = "Knuckle Disrupters",
		TAZER_DECK_TOOLTIP = "KOs a Guard until end of turn and tags them. KO Duration cannot be increased.",
		TAZER_DECK_FLAVOR = "Shortly after his expulsion, a drunken Decker found himself violently losing a bar-room brawl. His ex-colleges walked away mostly uninjured and grinning, but Decker had the last laugh...",
		
		RIFLE_MALIK = "Service Rifle",
		RIFLE_MALIK_TOOLTIP = "Can shoot multiple times a round. Requires resetting between uses, which uses an attack.",
		RIFLE_MALIK_FLAVOR = "While civilians adopted the technology quickly, commanders and soldiers knew better than to take nanofabs for granted - these early service rifles saw use right through the resource wars due to the care their owners took with them.",
		
		GRENADE_MALIK = "Snap-Grenade Belt",
		GRENADE_MALIK_TOOLTIP = "Knocks out electronics for one turn. Charges restock between missions.",
		GRENADE_MALIK_FLAVOR = "These palm-sized emp grenades were mass-produced during the war due to both their ability to disable early robotic soldiers and their popularity with children",
		
	},


}

return MOD_STRINGS
























