local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local inventory = include("sim/inventory")
local abilitydefs = include( "sim/abilitydefs" )

local oldManualHack = abilitydefs.lookupAbility("manualHack")

local oldCanUseAbility = oldManualHack.canUseAbility

local manualHack = util.extend(oldManualHack) {
	canUseAbility = function( self, sim, unit, userUnit )
		local ok, reason = oldCanUseAbility( self, sim, unit, userUnit )
		if not ok then
			return ok, reason
		end
	--	if simquery.getEquippedGun( userUnit ) then
	--		return false, "Unequip Heavy Equipment to use"
	--	end
		return true
	end,
		
	executeAbility = function( self, sim, unit, userUnit, target )
		local mainframe = include( "sim/mainframe" )
		local target = sim:getUnit(target)			
		local x0,y0 = userUnit:getLocation()
		local x1,y1 = target:getLocation()
  		local newFacing = simquery.getDirectionFromDelta(x1-x0,y1-y0) 
		userUnit:setInvisible(false)
		userUnit:setDisguise(false)
		
		if sim:getParams().difficultyOptions.flav_xu then
			sim:dispatchEvent( simdefs.EV_UNIT_USEDOOR, { unitID = unit:getID(), facing = newFacing, sound="SpySociety/Actions/use_scanchip", soundFrame=2 } )		
	--		target:processEMP( 1 )
			target:setPlayerOwner(userUnit:getPlayerOwner())	
			self.myTarg = target
			sim:dispatchEvent( simdefs.EV_UNIT_USEDOOR_PST, { unitID = unit:getID(), facing = newFacing } )	
			sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = target, fx = "emp" } )
		else
			sim:dispatchEvent( simdefs.EV_UNIT_USECOMP, { unitID = unit:getID(), facing = newFacing, sound="SpySociety/Actions/use_scanchip", soundFrame=10 } )
					
		--	target:processEMP( 1 )
			target:setPlayerOwner(userUnit:getPlayerOwner())	
			self.myTarg = target
			sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = target, fx = "emp" } )
		end
		
		if unit:getTraits().disposable then
			inventory.trashItem( sim, userUnit, unit )
		else
			inventory.useItem( sim, userUnit, unit )
		end

		unit:useAP( sim )
	end,
	
	onSpawnAbility = function( self, sim, unit )
        self.abilityOwner = unit
		sim:addTrigger( simdefs.TRG_START_TURN, self )
		self.myTarg = nil
	end,
        
	onDespawnAbility = function( self, sim, unit )
        sim:removeTrigger( simdefs.TRG_START_TURN, self )
        self.abilityOwner = nil
	end,
	
	onTrigger = function( self, sim, evType, evData )
        if self.abilityOwner and evType == simdefs.TRG_START_TURN and sim:getCurrentPlayer():isPC() then
            
			if self.myTarg then
			
				target = self.myTarg
				target:setPlayerOwner(sim:getNPC())
				sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = target, fx = "emp" } )
				self.myTarg = nil
			
			end
			
        end
		
				
    end,
}
return manualHack